Bug Hunting Session
Bug 42135 - Appending a Library functionality in Macro Programming missing or misdocumented
Summary: Appending a Library functionality in Macro Programming missing or misdocumented
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-23 13:49 UTC by Allan Jacobs
Modified: 2015-01-28 19:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Help opened up to Appending a Library. (274.56 KB, image/png)
2011-10-23 13:49 UTC, Allan Jacobs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Allan Jacobs 2011-10-23 13:49:58 UTC
Created attachment 52658 [details]
Help opened up to Appending a Library.

In LibreOffice Help for LibreOfficeBasic, select the Contents tab.
Navigate to Macros and Programming->Organizing Libraries and Modules->Organizing a Library.
Find the section entitled "Appending a Library".  This section describes functionality that either did not make it into the product or was taken out.

If the functionality was removed from LibreOffice, the section should be removed from Help.
Comment 1 Christopher Yeleighton 2012-03-25 10:07:25 UTC
(In reply to comment #0)
> Created attachment 52658 [details]
> Help opened up to Appending a Library.
> 
> In LibreOffice Help for LibreOfficeBasic, select the Contents tab.
> Navigate to Macros and Programming->Organizing Libraries and
> Modules->Organizing a Library.
> Find the section entitled "Appending a Library".  This section describes
> functionality that either did not make it into the product or was taken out.
> 
> If the functionality was removed from LibreOffice, the section should be
> removed from Help.

I do not have such a section.  Here is the whole text of this page:

Biblioteki, moduły i okna dialogowe
Poniżej opisano podstawowe zasady korzystania z bibliotek, modułów i okien dialogowych w LibreOffice Basic.
LibreOffice Basic dostarcza narzędzi wspomagających zachowanie strukturalności projektów. System umożliwia utworzenie różnorodnych "jednostek" pozwalających na grupowanie poszczególnych procedur SUB i funkcji FUNCTION w projekcie Basic.
Biblioteki
Biblioteki służą do organizowania modułów i mogą zostać dołączone do dokumentu lub szablonu. Przy zapisywaniu dokumentu lub szablonu zapisywane są automatycznie także wszystkie moduły zawarte w bibliotece.
Biblioteka może zawierać maksymalnie 16 000 modułów.
Moduły
Moduł zawiera procedury SUB i funkcje FUNCTIONS wraz z deklaracjami zmiennych. Długość programu, który może zostać zapisany w module, jest ograniczona do 64 KB. Jeśli wymagane jest więcej miejsca, istnieje możliwość podzielenia projektu LibreOffice Basic na kilka modułów, a następnie zapisanie ich w jednej bibliotece.
Moduły okien dialogowych
Moduły okien dialogowych zawierają definicje okien dialogowych, w tym właściwości okien dialogowych, właściwości poszczególnych elementów okna dialogowego i przypisane zdarzenia. Ponieważ jeden moduł okien dialogowych może zawierać tylko jedno okno dialogowe, często moduły takie określa się jako "okna dialogowe".
Comment 2 sasha.libreoffice 2012-04-17 00:10:43 UTC
in 3.3.4 and 3.5.2 I also can not find topic Organizing a Library
on Fedora 64 bit
Comment 3 bfoman (inactive) 2012-06-27 04:22:08 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Following English Help:Macros and programming>Guides>Organizing libraries and modules>Appending a library I could not find Append button in the UI.
Comment 4 Niklas Johansson 2012-09-24 19:15:51 UTC
It seems that the button has changed name to Import... So the help-file needs to be updated.

Substitute "Appending a Library" with "Import a Library" and try to follow the instructions. 

The section should therefor NOT be removed.
Comment 5 Christina Rossmanith 2012-09-25 19:54:35 UTC
Changing status to NEW because the problem could be reproduced.
Comment 6 Not Assigned 2012-09-28 11:04:40 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=752c24a0d69670fc9577fa4ae4cfac0d3ae00269

fdo#42135 Button changed name, update help file to reflect change



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-10-29 11:21:54 UTC
Niklas Johansson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=23d7515757534fca7d50e1201745586adde4b8f6

fdo#42135 Add help for the button export in Macro Organizer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 QA Administrators 2015-01-05 17:52:12 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.3.5 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
Comment 9 Buovjaga 2015-01-28 19:04:00 UTC
I guess Niklas fixed this as I can't find the section.

Ubuntu 14.10 64-bit
Version: 4.3.3.2
Build ID: 430m0(Build:2)